<?php
/**
 * Perforce Swarm
 *
 * @copyright   2013-2019 Perforce Software. All rights reserved.
 * @license     Please see LICENSE.txt in top-level readme folder of this distribution.
 * @version     2019.2/1886137
 */

namespace Redis;

use Zend\EventManager\Event;

/**
 * Module to load Redis configuration settings.
 */
class Module
{
    /**
     * Bootstrap for the redis to ensure we have redis module loaded.
     *
     * @param Event $event
     */
    public function onBootstrap(Event $event)
    {
        $services = $event->getApplication()->getServiceManager();
        $services->get(RedisService::class);
    }

    /**
     * Load and merge in configuration.
     * @return mixed
     */
    public function getConfig()
    {
        return include __DIR__ . '/config/module.config.php';
    }
}
